' Source File : BWait.Bas
' Object File : BWait.Exe
' Start Date  : 02/01/04
' Author      : Benjamin E. Ritchey Jr.
' Description : Wait for x seconds (i.e. "BWAIT.EXE 60")
'               Copyright {c} 2004 by Ben Ritchey Jr., et al

#COMPILER PBCC 5
#COMPILE EXE
#DIM ALL

FUNCTION PBMAIN()

LOCAL T AS DOUBLE
LOCAL TITLE AS STRING
LOCAL ET AS DOUBLE
LOCAL ETO AS DOUBLE
LOCAL Z AS STRING
LOCAL A AS INTEGER
Local Cx, RemTime, Cy as Long

Local PgmVer as String

' Do NOT change format of next line except x-x !!!
  PgmVer=" BWait v1.2.C "

10 T=VAL(COMMAND$): IF T<1 THEN T=60
  COLOR 3: Cursor Off
  IF T<4 THEN PRINT PgmVer;" { Delay";T;"sec } "; : GOTO FASTER
  IF T<10 THEN PRINT PgmVer;" { ";T;" sec } "; : GOTO FASTER

  TITLE$=PgmVer+"(c) 2018 BDR "
  PRINT
  COLOR 3: PRINT TITLE$;" ";: COLOR 2: PRINT DATE$;" ";TIME$;" "
  COLOR 11: PRINT " Touch any key to Abort ";T;"sec window ... ";

FASTER:
  COLOR 3,0
  Z$="": ETO=0: Cx=CursorX+2: Cy=CursorY
  ET=int(TIMER+T)

    DO
      Z=INKEY$: IF LEN(Z)>0 THEN EXIT DO
      IF TIMER>=ETO+1 THEN 
        ETO=int(TIMER)
        Locate Cy,Cx: Color 0,11
        RemTime=INT(ET-ETO): If RemTime<=10 then color 0,4
        IF RemTime>0 AND T>3 THEN PRINT using$("###,###",RemTime);
        Locate Cy,Cx: Color 0,3
        IF RemTime=0 AND T>3 THEN PRINT using$("###,###",RemTime);
      END IF
      Sleep 25
    LOOP UNTIL RemTime=0

  Color 3,0
  PRINT: Cursor On,100

END FUNCTION

REM *** End of BWait.Bas ***

